varying vec4 diffuse, ambientGlobal, ambient;
varying vec3 normal, pos;


void main() {
  normal = normalize(gl_NormalMatrix * gl_Normal);
  
  pos = vec3(gl_ModelViewMatrix * gl_Vertex);
  
  diffuse = gl_FrontMaterial.diffuse * gl_LightSource[0].diffuse;
  
  ambient = gl_FrontMaterial.ambient * gl_LightSource[0].ambient;
  ambientGlobal = gl_LightModel.ambient * gl_FrontMaterial.ambient;
  
  gl_TexCoord[0] = gl_MultiTexCoord0;
  gl_Position = ftransform();
}
